%exam_8_34
clear;clc
num=[1];
% den=[1,sqrt(7),4,sqrt(6),sqrt(3),2];
% den=[1,sqrt(3),sqrt(2),1];
den=[1,4,3];
[num1,den1]=bilinear(num,den,0.1)
dt=0.01;t=0:dt:20;
sys=tf(num,den);
subplot(1,2,1);
impulse(sys,t);
set(gca,'Fontsize',20);
ylabel('Amplitude','Fontsize',20);xlabel('Time','Fontsize',20);
title('模拟滤波器的单位冲激响应h(t)','Fontsize',20);
subplot(1,2,2);
% dimpulse(num1,den1);
h=dimpulse(num1,den1);
% subplot(1,2,2);stem(0:length(h)-1,10*log(h));
subplot(1,2,2);stem(0:length(h)-1,h);
set(gca,'Fontsize',20);
ylabel('Amplitude','Fontsize',20);xlabel('n','Fontsize',20);
title('数字滤波器的单位冲激响应h(n)','Fontsize',20);